# Get rewards

프로모션과 관련된 보상 목록을 가져옵니다.

  주의이 API 호출에는 project_id 경로 매개 변수가 포함되어 있지 않으므로 회사의 모든 프로젝트에서 유효한 API 키를 사용하여 인증을 설정해야 합니다.

Endpoint: GET /merchants/{merchant_id}/promotions/{promotion_id}/rewards
Version: 2.0
Security: basicAuth

## Path parameters:

  - `merchant_id` (integer, required)
    판매자 ID입니다.

  - `promotion_id` (integer, required)
    프로모션 ID입니다.

## Response 200 fields (application/json):

  - `id` (integer)

  - `item` (object)
    Set the reward for specific virtual items.

  - `item.bonus` (array)
    Extra virtual items given as a bonus.

  - `item.bonus.id` (integer)

  - `item.bonus.localized_name` (string)
    기본 언어(영어)로 표기된 요금제 명칭, name.en 값을 복제합니다.

  - `item.bonus.quantity` (integer)
    Number of virtual items given as a bonus.

  - `item.bonus.sku` (string)
    Item SKU.

  - `item.discount` (array)
    Discounts for specific virtual items.

  - `item.discount.discount_percent` (number)
    할인율 수치입니다.

  - `item.discount.localized_name` (string)
    기본 언어(영어)로 표기된 요금제 명칭, name.en 값을 복제합니다.

  - `item.discount.max_amount` (number)
    Maximum number of items to apply the promotion to.

  - `item.discount.sku` (string)
    Item SKU.

  - `package` (object)
    Set the reward for a virtual currency package.

  - `package.bonus_amount` (number)
    Reward as an absolute quantity of the virtual currency.

  - `package.bonus_percent` (number)
    Reward as a percentage of the package amount.

  - `purchase` (object)
    전체 구매에 대한 보상을 설정합니다.

  - `purchase.discount_percent` (number)
    할인율 수치입니다.

  - `subscription` (object)
    Sets the reward for a subscription.

  - `subscription.trial_days` (integer)
    평가 기간(일)입니다.


